Bug 407231 - X does start, but not display initially
X does start, but not display initially
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-01 05:39 EST by Armijn Hemel
Modified: 2009-01-09 02:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:29:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (84.13 KB, text/plain)
2007-12-04 17:23 EST, Armijn Hemel
no flags Details
xorg.conf (573 bytes, text/plain)
2007-12-04 17:23 EST, Armijn Hemel
no flags Details
Xorg log from currently running X server (81.94 KB, text/plain)
2008-02-12 16:59 EST, Armijn Hemel
no flags Details

  None (edit)
Description Armijn Hemel 2007-12-01 05:39:23 EST
Description of problem:

During graphical boot and other times (user logs out) X does not display, even
though X is running. X is displayed if I first switch to anothe virtual console
(ctrl-alt-f1) and then back to the console X is on.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.3.0.0-33.fc8

How reproducible:

Always

Steps to Reproduce:
1. start machine
2.
3.
  
Actual results:

X is started, but isn't displayed initially

Expected results:

X

Additional info:

My monitor is a Iiyama Vision Master Pro 450. My videocard is (from lspci):

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R350 [Radeon 9800
Pro]
Comment 1 Matěj Cepl 2007-12-04 17:06:26 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Armijn Hemel 2007-12-04 17:23:13 EST
Created attachment 277391 [details]
Xorg log
Comment 3 Armijn Hemel 2007-12-04 17:23:38 EST
Created attachment 277401 [details]
xorg.conf
Comment 4 Armijn Hemel 2007-12-04 17:33:45 EST
X is definitely running, but not displaying. I can hear the beep that GDM emits
when it is ready and accepting logins after booting or logging out a different
user. Switching between a virtual console and back to X makes X appear. It has
not been an issue in Fedora 7 or before.
Comment 5 Adam Jackson 2008-02-12 15:17:13 EST
'rpm -q xorg-x11-drv-ati' please?
Comment 6 Armijn Hemel 2008-02-12 15:23:37 EST
xorg-x11-drv-ati-6.7.196-2.fc8
Comment 7 Adam Jackson 2008-02-12 15:50:29 EST
Also, what mode is X running in after the VT switch?  It looks like it's trying
to choose 1280x1024, but it's not really clear.
Comment 8 Armijn Hemel 2008-02-12 16:58:43 EST
As far as I can see it is running in 1280x1024. I will send the Xorg.0.log file
from the currently running X server.
Comment 9 Armijn Hemel 2008-02-12 16:59:22 EST
Created attachment 294702 [details]
Xorg log from currently running X server
Comment 10 Bug Zapper 2008-11-26 03:46:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:29:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.